# Journal de bord du Mooc / Mooc's logbook

## Module 2 : le document computationnel

### Exemple d'études discutées

**Exemple 1 : crise des subprimes, Reinhart et Rogoff (2008/2009)**   
sub prime n'ont pas vue toutes les conséquence, $dette > 90% PIB → croissance / 2$   
Travaux critiqués, erreur de programmation, exclusion de données, statistique non conventionnelles !   

**Exemple 2 : IRM fonctionnelle, Bennett et al. (2010)**   
:warning: activité cerebral d'un saumon mort → données bruites après IRM très buité, stat appliqués pour corrigé le bruit !!    
Méthodo stat biaisé → remise en cause des travaux des 40 dernières années     
Données des expe. pas save → impossible de vérifier les études   

**Exemple 3 : fausse structure protéine, G. Chang (2001)**   
travaux critiqués après vérification, raison d'une erreur de code repris d'un autre labo    

**Raison : **
- oncologie
- psycologie
**Solution : **
- rigueur 
- transparence

### Pourquoi est-ce difficile

1. Manque d'information :
    - source et données
    - choix
2. L'ordinateur : source d'erreurs
    - point and click
    - les tableurs
    - Pile logicielle complexe
    - Bug : Programmer, c'est dur !
3. Manque de rigueur et d'organisation
    - pas de backup
    - pas d'historique
    - pas de contrôle qualité
4. Dimention culturelle et sociale
    - article (version simplifier et résumé)
    - solution : partager les travaux :warning: peut mettre en évidence les faiblesses des travaux, prendre le risque que quelqu'un remarque une erreur, quelqu'un pourrait tirer avantage à ma place, données sensibles
 
Outils permettant de surpasser ces difficultés : 
- Outils, format et services propriétaires
- Expliciter les travaux (transparence) : augmente les chance de trouver les erreurs 

### Le document computationnel

les travaux sont réalisé dernière un ordinateur    
Les données sont issues de mesures puis sont numérisés pour analyse/visu et partagé   
Cela peut être une boucle jusuq'à trouvé quelque chose pour arrivé à une publication   
Cela empèche de voir le travail réalisé et ainsi ne marque pas les tests et échecs   
Il faut alors garder des traces afin de **Inspecter** et **Refaire** les travaux   
   
Les notebook peuvent permettre de partager des document complet ou computationnel en fonction de la quantité d'information que l'on veut partager.

### Prise en main de l'outil : Jupyter

### Travail avec les autres

### Analyse comparée des différents outils